Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class AbstractAccountState

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState
            |
            +--org.jbrain.qlink.state.AbstractPhaseState
                  |
                  +--org.jbrain.qlink.state.AbstractAccountState

All Implemented Interfaces:
  QState

Direct Known Subclasses:
  AddUserNameState, Authentication

public class AbstractAccountState
extends AbstractPhaseState

Field Summary
`protected java.lang.String` | `_sSecurityCode`

Fields inherited from class org.jbrain.qlink.state.AbstractState
`_session`

Constructor Summary
`AbstractAccountState(QSession session, int phase)`

Method Summary
`protected boolean` | `addPrimaryAccount(org.jbrain.qlink.user.QHandle handle, java.lang.String sAccount)`
`protected int` | `addScreenName(int iUserID, org.jbrain.qlink.user.QHandle handle)`
`protected java.lang.String` | `getNewCode()`
`protected void` | `updateCode(java.lang.String code)`
`protected boolean` | `validateNewAccount(EntryDialog d, java.lang.String handle)`

Methods inherited from class org.jbrain.qlink.state.AbstractPhaseState
`getPhase, setPhase`

Methods inherited from class org.jbrain.qlink.state.AbstractState
`activate, checkEmail, execute, getName, passivate, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _sSecurityCode

    protected java.lang.String _sSecurityCode

Constructor Detail

### AbstractAccountState

    public AbstractAccountState(QSession session,
                                int phase)

Method Detail

### updateCode

    protected void updateCode(java.lang.String code)
                       throws java.io.IOException

    `java.io.IOException`

### addPrimaryAccount

    protected boolean addPrimaryAccount(org.jbrain.qlink.user.QHandle handle,
                                        java.lang.String sAccount)
                                 throws java.io.IOException

    `java.io.IOException`

### addScreenName

    protected int addScreenName(int iUserID,
                                org.jbrain.qlink.user.QHandle handle)

### getNewCode

    protected java.lang.String getNewCode()

### validateNewAccount

    protected boolean validateNewAccount(EntryDialog d,
                                         java.lang.String handle)
                                  throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD